debSourcesIndex Class Reference
Inheritance diagram for debSourcesIndex:
[legend]
Collaboration diagram for debSourcesIndex:
[legend]

## Public Member Functions

const Type * | GetType () const override APT_PURE
std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const override
pkgSrcRecords::Parser * | CreateSrcParser () const override
bool | HasPackages () const override
| debSourcesIndex (IndexTarget const &Target, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexTargetFile
std::string | ArchiveURI (std::string const &File) const override
std::string | Describe (bool Short=false) const override
bool | Exists () const override
unsigned long | Size () const override
IndexTarget | GetIndexTarget () const APT_HIDDEN
| pkgDebianIndexTargetFile (IndexTarget const &Target, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexFile
bool | Merge (pkgCacheGenerator &Gen, OpProgress *Prog) override
pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const override
| pkgDebianIndexFile (bool const Trusted)
Public Member Functions inherited from pkgIndexFile
virtual std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Additional Inherited Members

Protected Member Functions inherited from pkgDebianIndexTargetFile
std::string | IndexFileName () const override
std::string | GetComponent () const override
std::string | GetArchitecture () const override
std::string | GetProgressDescription () const override
bool | OpenListFile (FileFd &Pkg, std::string const &FileName) override
Protected Attributes inherited from pkgDebianIndexTargetFile
IndexTarget const | Target
Protected Attributes inherited from pkgIndexFile
bool | Trusted

## Member Function Documentation

## CreateSrcParser()

pkgSrcRecords::Parser * CreateSrcParser | ( |  | ) | const

nodiscard override virtual

Reimplemented from pkgIndexFile.

## GetType()

const pkgIndexFile::Type * GetType | ( |  | ) | const

nodiscard override virtual

Implements pkgIndexFile.

## HasPackages()

bool HasPackages | ( |  | ) | const

inline nodiscard override virtual

Implements pkgIndexFile.

## SourceInfo()

std::string SourceInfo | ( | pkgSrcRecords::Parser const & | Record,
|  | pkgSrcRecords::File const & | File ) const

nodiscard override virtual

Reimplemented from pkgIndexFile.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debindexfile.h
- apt-pkg/deb/debindexfile.cc